2014 dxdy logo

Научный форум dxdy

Математика, Физика, Computer Science, Machine Learning, LaTeX, Механика и Техника, Химия,
Биология и Медицина, Экономика и Финансовая Математика, Гуманитарные науки




Начать новую тему Ответить на тему
 
 Не удается импортировать knn из fancyimpute
Сообщение10.02.2019, 17:24 


10/02/19
3
Цитата:
Using TensorFlow backend.
---------------------------------------------------------------------------
ImportError Traceback (most recent call last)
C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()
17 try:
---> 18 fp, pathname, description = imp.find_module('_pywrap_tensorflow_internal', [dirname(__file__)])
19 except ImportError:

C:\Anaconda\lib\imp.py in find_module(name, path)
295 break # Break out of outer loop when breaking out of inner loop.
--> 296 else:
297 raise ImportError(_ERR_MSG.format(name), name=name)

ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

ModuleNotFoundError Traceback (most recent call last)
C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
57
---> 58 from tensorflow.python.pywrap_tensorflow_internal import *
59 from tensorflow.python.pywrap_tensorflow_internal import __version__

C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in <module>
27 return _mod
---> 28 _pywrap_tensorflow_internal = swig_import_helper()
29 del swig_import_helper

C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()
19 except ImportError:
---> 20 import _pywrap_tensorflow_internal
21 return _pywrap_tensorflow_internal

ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

ImportError Traceback (most recent call last)
<ipython-input-6-21a36e81fae8> in <module>
----> 1 from fancyimpute import knn

C:\Anaconda\lib\site-packages\fancyimpute\__init__.py in <module>
4 from .nuclear_norm_minimization import NuclearNormMinimization
5 from .iterative_imputer import IterativeImputer
----> 6 from .matrix_factorization import MatrixFactorization
7 from .iterative_svd import IterativeSVD
8 from .simple_fill import SimpleFill

C:\Anaconda\lib\site-packages\fancyimpute\matrix_factorization.py in <module>
14
15 import numpy as np
---> 16 from keras import regularizers
17 from keras.callbacks import EarlyStopping
18 from keras.layers import Input

C:\Anaconda\lib\site-packages\keras\__init__.py in <module>
1 from __future__ import absolute_import
2
----> 3 from . import utils
4 from . import activations
5 from . import applications

C:\Anaconda\lib\site-packages\keras\utils\__init__.py in <module>
4 from . import data_utils
5 from . import io_utils
----> 6 from . import conv_utils
7
8 # Globally-importable utils.

C:\Anaconda\lib\site-packages\keras\utils\conv_utils.py in <module>
7 from six.moves import range
8 import numpy as np
----> 9 from .. import backend as K
10
11

C:\Anaconda\lib\site-packages\keras\backend\__init__.py in <module>
87 elif _BACKEND == 'tensorflow':
88 sys.stderr.write('Using TensorFlow backend.\n')
---> 89 from .tensorflow_backend import *
90 else:
91 # Try and load external backend.

C:\Anaconda\lib\site-packages\keras\backend\tensorflow_backend.py in <module>
3 from __future__ import print_function
4
----> 5 import tensorflow as tf
6 from tensorflow.python.framework import ops as tf_ops
7 from tensorflow.python.training import moving_averages

C:\Anaconda\lib\site-packages\tensorflow\__init__.py in <module>
22
23 # pylint: disable=g-bad-import-order
---> 24 from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
25
26 try:

C:\Anaconda\lib\site-packages\tensorflow\python\__init__.py in <module>
47 import numpy as np
48
---> 49 from tensorflow.python import pywrap_tensorflow
50
51 from tensorflow.python.tools import component_api_helper

C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
72 for some common reasons and solutions. Include the entire stack trace
73 above this error message when asking for help.""" % traceback.format_exc()
---> 74 raise ImportError(msg)
75
76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-long

ImportError: Traceback (most recent call last):
File "C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
fp, pathname, description = imp.find_module('_pywrap_tensorflow_internal', [dirname(__file__)])
File "C:\Anaconda\lib\imp.py", line 296, in find_module
else:
ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Anaconda\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
import _pywrap_tensorflow_internal
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.


config: win10 x64, установлен microsoft visual C++ 2017 (необходим >=2014 для tensorflow)

как я понял, основная проблема: ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'
при этом в каталоге C:\Anaconda\Lib\site-packages\tensorflow\python этот модуль есть

пробовал установить разные версии fancyimpute, не помогло.

как связан fancyimpute c Tensorflow (необходим ли)?

 Профиль  
                  
 
 Posted automatically
Сообщение10.02.2019, 18:13 
Супермодератор
Аватара пользователя


09/05/12
17122
Кронштадт
 i  Тема перемещена из форума «Искусственный интеллект и Машинное обучение» в форум «Карантин»
Замените скриншоты на текстовые логи (оформив их как цитаты), поясните, при чем тут C++ и предложите собственные содержательные попытки ответа на вопрос.

Исправьте все Ваши ошибки и сообщите об этом в теме Сообщение в карантине исправлено.
Настоятельно рекомендуется ознакомиться с темами Что такое карантин и что нужно делать, чтобы там оказаться и Правила научного форума.

 Профиль  
                  
 
 Posted automatically
Сообщение10.02.2019, 18:51 
Супермодератор
Аватара пользователя


09/05/12
17122
Кронштадт
 i  Тема перемещена из форума «Карантин» в форум «Программирование»

 Профиль  
                  
 
 Re: Не удается импортировать knn из fancyimpute
Сообщение11.02.2019, 16:54 


10/02/19
3
Tensorflow не работает совместно с python 3.7 (что вообще не очевидно)! с python 3.6 все устанавливается отлично. проверял на нескольких ПК

Тему можно закрыть (сам не нашел как)

 Профиль  
                  
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 4 ] 

Модераторы: Karan, PAV, Toucan, maxal, Супермодераторы



Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group